#
# TODO:
# - shouldn't headers be provided by 2.6.27 linux-libc-headers instead of -devel here?
#
# Conditional build:
%bcond_with	kernel		# mISDN merged in 2.6.27, needs update if needed
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)
#
%if %{without kernel}
%undefine       with_dist_kernel
%endif
#
%define		rel	1
Summary:	mISDN - modular ISDN
Summary(pl.UTF-8):	mISDN - modularny ISDN
Name:		mISDN
Version:	2.0.35
Release:	%{rel}
Epoch:		1
License:	GPL v2+
Group:		Base/Kernel
# git clone git://git.misdn.eu/mISDN.git
# git archive --format=tar --prefix=mISDN-2.0.35/ v2.0.35 | xz > ../mISDN-2.0.35.tar.xz
Source0:	%{name}-%{version}.tar.xz
# Source0-md5:	2c35bb1b3ebfaf40914360f5328d134d
URL:		https://www.misdn.eu/wiki/Main_Page
%{?with_dist_kernel:BuildRequires:	kernel-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.332
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mISDN (modular ISDN) is the new ISDN stack of the Linux kernel version
2.6+.

%description -l pl.UTF-8
mISDN (modularny ISDN) to nowy stos ISDN dla jądra Linuksa w wersji
2.6 i nowszych.

%package -n kernel%{_alt_kernel}-isdn-mISDN
Summary:	Linux driver for mISDN
Summary(pl.UTF-8):	Sterownik dla Linuksa do mISDN
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(mISDN)

%description -n kernel%{_alt_kernel}-isdn-mISDN
This is driver for mISDN for Linux.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-isdn-mISDN -l pl.UTF-8
Sterownik dla Linuksa do mISDN.

Ten pakiet zawiera moduł jądra Linuksa.

%package devel
Summary:	Development header files for mISDN
Summary(pl.UTF-8):	Pliki nagłówkowe mISDN
Group:		Development/Libraries

%description devel
Development header files for mISDN.

%description devel -l pl.UTF-8
Pliki nagłówkowe mISDN.

%prep
%setup -q

%build
%if %{with kernel}
%configure
cp mISDN.cfg.default standalone/mISDN.cfg

# insufficient, needs update?
cp -r include/linux drivers/isdn/hardware/mISDN/

%build_kernel_modules -m l3udss1,mISDN_capi,mISDN_core,mISDN_dtmf,mISDN_x25dte,mISDN_isac,mISDN_l1,mISDN_l2,avmfritz,netjetpci,hfcpci,hfcsusb,hfcsmini,sedlfax,w6692pci,xhfc,mISDN_dsp,mISDN_loop -C drivers/isdn/hardware/mISDN/

%ifnarch hppa mips ppc ppc64 s390 s390x sparc sparc64
%build_kernel_modules -m hfcmulti -C drivers/isdn/hardware/mISDN/
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

# devel files
install -d $RPM_BUILD_ROOT%{_includedir}/linux
install include/linux/*.h $RPM_BUILD_ROOT%{_includedir}/linux

%if %{with kernel}
# kernel modules
cd drivers/isdn/hardware/mISDN
sep="%{?with_dist_kernel:dist}%{!?with_dist_kernel:nondist}"
mods=$(echo *-${sep}.ko | sed -e "s#-${sep}.ko##g" -e 's# #,#g')
%install_kernel_modules -m $mods -d kernel/drivers/isdn/hardware/mISDN
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-isdn-mISDN
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-isdn-mISDN
%depmod %{_kernel_ver}

%if %{with kernel}
%files -n kernel%{_alt_kernel}-isdn-mISDN
%defattr(644,root,root,755)
%dir /lib/modules/%{_kernel_ver}/kernel/drivers/isdn/hardware/mISDN
/lib/modules/%{_kernel_ver}/kernel/drivers/isdn/hardware/mISDN/*.ko*
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/linux/mISDNdsp.h
%{_includedir}/linux/mISDNhw.h
%{_includedir}/linux/mISDNif.h
%changelog
* Thu May 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mISDN.git;a=log;h=master

* Sun Aug 02 2015 Jakub Bogusz <qboosh@pld-linux.org> efe40c7
- up to 2.0.35 (mISDNv2); drivers already included upstream, but headers not installed
- init package is gone

* Sun Aug 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 4192deb
- verbose files

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d82ba0
- rel 2; fix lsusb dep

* Sat Oct 23 2010 Caleb Maclennan <caleb@alerque.com> 8b92214
- Renamed macro to avoid conflict with adapter

* Sat Oct 23 2010 Caleb Maclennan <caleb@alerque.com> 2375550
- Up to 1.1.9.2
- Note: adaptor kills this spec by placing a macro-in-a-macro.

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ffec6c
- drop obsolete files

* Tue Jun 02 2009 Jacek Konieczny <jajcus@pld-linux.org> 2406bc2
- R: /usr/sbin/lsusb for the init subpackage

* Mon Jun 01 2009 Jacek Konieczny <jajcus@pld-linux.org> c8f2301
- Version: 1.1.9 (1_1_9.1 in fact)

* Thu Feb 26 2009 marcus <marcus@pld-linux.org> 2999c00
- added example for HFC-4S

* Thu Feb 26 2009 marcus <marcus@pld-linux.org> c74dd4d
- init script and example config for mISDN

* Thu Feb 26 2009 marcus <marcus@pld-linux.org> a5366e4
- http://quadbri.phoniceq.com/driver/misdn/misdn-enableLEDS-mISDN-1_1_7_2.patch

* Fri Nov 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e0013e8
- release 13

* Tue Nov 04 2008 Elan Ruusamäe <glen@pld-linux.org> 5d66139
- comment for kernel bcond

* Tue Nov 04 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cca2c63
- rel 12; kernel bconf off by default (mISDN merged in 2.6.27)

* Tue Nov 04 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 81906e4
- release 11

* Mon Oct 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bac9d72
- release 10

* Thu Sep 25 2008 Paweł Sikora <pluto@pld-linux.org> 45dbf46
- added TODO (removal note).

* Tue Sep 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 77c5dae
- release 9

* Thu Aug 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ad4ada9
- release 8

* Sun Aug 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> accef9d
- release 7

